/*
                                   )
                                  (.)
                                  .|.
                                  | |
                              _.--| |--._
                           .-';  ;`-'& ; `&.
                          \   &  ;    &   &_/
                           |"""---...---"""|
                           \ | | | | | | | /
                            `---.|.|.|.---'

 * This file is generated by bake.lang.c for your convenience. Headers of
 * dependencies will automatically show up in this file. Include bake_config.h
 * in your main project file. Do not edit! */

#ifndef BAKE_MCPP_BAKE_CONFIG_H
#define BAKE_MCPP_BAKE_CONFIG_H

/* Headers of public dependencies */
#ifdef __BAKE__
#include <bake_util.h>
#endif

/* Convenience macro for exporting symbols */
#ifndef bake_mcpp_STATIC
#if bake_mcpp_EXPORTS && (defined(_MSC_VER) || defined(__MINGW32__))
  #define BAKE_MCPP_EXPORT __declspec(dllexport)
#elif bake_mcpp_EXPORTS
  #define BAKE_MCPP_EXPORT __attribute__((__visibility__("default")))
#elif defined _MSC_VER
  #define BAKE_MCPP_EXPORT __declspec(dllimport)
#else
  #define BAKE_MCPP_EXPORT
#endif
#else
  #define BAKE_MCPP_EXPORT
#endif

#endif

